%define name	gnome-phone-manager
%define version	0.4
%define release 3mdk

Name: 	 	%{name}
Summary: 	GNOME Cellular Phone Manager
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://usefulinc.com/software/phonemgr/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig gettext intltool ImageMagick
BuildRequires:	libbtctl-devel >= 0.4.1
BuildRequires:	libgnomebt-devel gsmlib-devel
BuildRequires:	libglade2.0-devel libgnomeui2-devel 
BuildRequires:  libsigc++1.2-devel
Requires:	pygtk2.0-libglade

%description
Phone Manager is a program created to allow you to control aspects of your
mobile phone from your GNOME 2 desktop. It is free software, licensed under
the GPL.

The software is in its early stages right now. Current features include:
    * Runs in the background; indicates status on the panel notification area.
    * Display on-screen alert when text message (SMS) arrives
    * Text message (SMS) sending facility

Features planned in the near future include:
    * Addressbook integration
    * Call monitoring and dialing
    * Send cluepackets to Dashboard about incoming messages

Phone Manager supports any mobile phone that can connect to your computer as
a serial port: via Bluetooth, IrDA or a serial cable.

%prep
%setup -q

%build
%configure2_5x --enable-shared --enable-static
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
icon="%{name}.png" \
needs="x11" \
title="GNOME Phone Manager" \
longtitle="Cellular Phone Interface" \
section="More Applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 ui/cellphone.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 ui/cellphone.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 ui/cellphone.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- Fix buildrequires

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Fix menu

* Wed Jun 23 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Mon Jun 21 2004 Austin Acton <austin@mandrake.org> 0.3-1mdk
- initial package
